<?php
include 'common.php';
include 'header.php';
include 'menu.php';
?>
<div class="main">
    <div class="body body-950">
        <?php include 'UploadPlugin/page-title.php'; ?>
        <div class="container typecho-page-main">
            <div class="column-24 start-01 typecho-list">
                <div class="typecho-list-operate">
                    <p class="operate"> &nbsp;&nbsp;&nbsp;<?php $menu_style=UploadPlugin_Action::menu_style()?>
                        <span class="operate-button"><a href="<?php $options->adminUrl('extending.php?panel=UploadPlugin/panel.php&tab=manage'); ?>" <?php _e($menu_style['manage'])?>><?php _e('插件管理'); ?></a></span>&nbsp;|
                        <span class="operate-button"><a href="<?php $options->adminUrl('extending.php?panel=UploadPlugin/panel.php&tab=upload'); ?>" <?php _e($menu_style['upload'])?>><?php _e('上传'); ?></a></span>
                    </p>
                </div>

               <?php if(!isset($_GET["tab"]) || $_GET["tab"]=="manage"):?>                 
                <table class="typecho-list-table">
                    <colgroup>
                        <col width="10"/>
                        <col width="200"/>
                        <col width="90"/>
                        <col width="360"/>
                        <col width="105"/>
                        <col width="125"/>
                    </colgroup>
                    <thead>
                        <tr>
                            <th class="typecho-radius-topleft"> </th>
                            <th><?php _e('标题'); ?></th>
                            <th><?php _e('版本'); ?> </th>
                            <th><?php _e('描述'); ?> </th>
                            <th><?php _e('作者'); ?></th>
                            <th class="typecho-radius-topright"><?php _e('操作'); ?></th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th class="typecho-radius-bottomleft"> </th>
                            <th><?php _e('标题'); ?></th>
                            <th><?php _e('版本'); ?> </th>
                            <th><?php _e('描述'); ?> </th>
                            <th><?php _e('作者'); ?></th>
                            <th class="typecho-radius-bottomright"><?php _e('操作'); ?></th>
                        </tr>
                    </tfoot>
                    <tbody>
                     <?php Typecho_Widget::widget('Widget_Plugins_List')->to($installedPlugins); ?>
                      <?php if ($installedPlugins->have()): ?>
                        <?php while ($installedPlugins->next()): ?>
                        <tr<?php $installedPlugins->alt(' class="even"', ''); ?> id="plugin-<?php $installedPlugins->name(); ?>">
                            <td></td>
                            <td><?php $installedPlugins->title(); ?>
                            <?php if (!$installedPlugins->dependence): ?>
                            <img src="<?php $options->adminUrl('images/notice.gif'); ?>" title="<?php _e('%s 无法在此版本的typecho下正常工作', $installedPlugins->title); ?>" alt="<?php _e('%s 无法在此版本的typecho下正常工作', $installedPlugins->title); ?>" class="tiny" />
                            <?php endif; ?>
                            </td>
                            <td><?php $installedPlugins->version(); ?></td>
                            <td><?php $installedPlugins->description(); ?></td>

                            <td><?php echo empty($installedPlugins->homepage) ? $installedPlugins->author : '<a href="' . $installedPlugins->homepage
                            . '">' . $installedPlugins->author . '</a>'; ?></td>
                            <td>
                                <?php if ($installedPlugins->activate || $installedPlugins->deactivate || $installedPlugins->config || $installedPlugins->personalConfig): ?>
                                    <?php if ($installedPlugins->activated): ?>
                                        <?php if ($installedPlugins->config): ?>
                                            <a href="<?php $options->adminUrl('options-plugin.php?config=' . $installedPlugins->name); ?>" class="operate-edit"><?php _e('设置'); ?></a>
                                            |
                                        <?php endif; ?>
                                        <a lang="<?php _e('你确认要禁用插件 %s 吗?', $installedPlugins->name); ?>" href="<?php $options->index('/action/plugins-edit?deactivate=' . $installedPlugins->name); ?>" class="operate-reply"><?php _e('禁用'); ?></a>
                                    <?php else: ?>
                                        <a href="<?php $options->index('/action/plugins-edit?activate=' . $installedPlugins->name); ?>"><?php _e('激活'); ?></a>
                                        |
                                        <a lang="<?php _e('你确认要删除插件 %s 吗?', $installedPlugins->name); ?>" href="<?php $options->index('/action/upload-plugin?del=' . $installedPlugins->name); ?>" class="operate-delete"><?php _e('删除'); ?></a>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <span class="important"><?php _e('即插即用'); ?></span>
                                    |
                                    <a lang="<?php _e('你确认要删除插件 %s 吗?', $installedPlugins->name); ?>" href="<?php $options->index('/action/upload-plugin?del=' . $installedPlugins->name); ?>" class="operate-delete"><?php _e('删除'); ?></a>
                                <?php endif; ?>
                            </td>
                        </tr>
                        <?php endwhile; ?>
                      <?php endif; ?>
                    </tbody>
                </table>
               <?php endif; ?>

                <?php if($_GET['tab']=="upload"): ?>
                <?php include "UploadPlugin/upload.php" ;?>
                <?php endif; ?>

            </div>
        </div>
    </div>
</div>

<?php
include 'copyright.php';
include 'common-js.php';
?>
<?php if($_GET['tab']=="upload"): ?>
<?php include 'upload-js.php'; ;?>
<?php endif; ?>
<?php
include 'footer.php';
?>


